com.pdfunit.validators

## Class MultiDocumentBookmarkValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentBookmarkValidator

-     @DoNotObfuscate
      public final class MultiDocumentBookmarkValidator
      extends java.lang.Object

  Validator for bookmarks in multiple PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `BookmarkDetailsValidator`, `AllBookmarksValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentBookmarkValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentBookmarkDetailsValidator` | `hasBookmark()` This method verifies that each given PDF document has one or more bookmarks.
    `MultiDocumentBookmarkValidator` | `hasBookmarks()` This method verifies that each given PDF document has one ore more bookmarks.
    `MultiDocumentBookmarkValidator` | `withDestinations()` This method verifies for each given PDF document that no bookmark points to nothing (dead link).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentBookmarkValidator

          protected MultiDocumentBookmarkValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### hasBookmark

          public MultiDocumentBookmarkDetailsValidator hasBookmark()

      This method verifies that each given PDF document has one or more bookmarks. It returns a validator class, which provides more methods to validate a single bookmark.

    - #### hasBookmarks

          public MultiDocumentBookmarkValidator hasBookmarks()

      This method verifies that each given PDF document has one ore more bookmarks. It returns a validator class that provides XML-based validation methods.

    - #### withDestinations

          public MultiDocumentBookmarkValidator withDestinations()

      This method verifies for each given PDF document that no bookmark points to nothing (dead link).

Copyright (C) PDFUnit.com. See here for license.